/*
 *  main.h
 *  6610project1
 *
 *  Created by Zach Gildersleeve on 9/16/06.
 *
 */
 
#include <iostream>
#include <cmath>

#include <stdio.h>				// Header File For Standard Input / Output
#include <OPENGL/gl.h>			// Header File For The OpenGL32 Library
#include <OPENGL/glu.h>			// Header File For The GLu32 Library

#ifdef __APPLE__
#include <GLUT/glut.h>			// Header File For The GLUT Library
#else
#include <GL/glut.h>
#endif

const GLint WINDOW_WIDTH	= 600;
const GLint WINDOW_HEIGHT	= 600;

const GLint CHECK_SIZE		= 5;
const GLint GROUND_SIZE		= 200;
const GLfloat FLOOR_HEIGHT	= -3.2;

const GLint UPPER_LEFT_ARM	= 1;
const GLint LOWER_LEFT_ARM	= 2;
const GLint UPPER_RIGHT_ARM	= 3;
const GLint LOWER_RIGHT_ARM	= 4;
const GLint UPPER_LEFT_LEG	= 5;
const GLint LOWER_LEFT_LEG	= 6;
const GLint UPPER_RIGHT_LEG	= 7;
const GLint LOWER_RIGHT_LEG	= 8;

const GLint BUFFER_SIZE		= 512;

void TimerFunc(int value);
GLvoid Init(GLvoid);
void Reshape(int Width, int Height);
GLvoid drawGround(GLvoid);
void selectObjects(int button, int state, int x, int y);
GLvoid processHits(GLint hits, GLuint buffer[], GLint x, GLint y);
void motion(int x, int y);
void Display(void);
GLvoid drawRobot(GLenum mode);
GLvoid moveRobot(GLfloat speedScale);
int main(int argc, char** argv);


